package ${basePackage}.frame.excel.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * ColumnName - Excel列名称注解，当Excel模板没有该注解则使用字段名作为列名称
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
@Target({ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface ColumnName {

    /**
     * 列名
     */
    String value();

    /**
     * 默认宽度
     */
    int width() default 8;

    /**
     * *标志
     */
    boolean required() default false;

    /**
     * 日期格式化
     */
    String dateFormat() default "yyyy-MM-dd";
}
